Index: doc/FAQ_MSWIN
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/doc/FAQ_MSWIN,v
retrieving revision 1.2
diff -u -r1.2 FAQ_MSWIN
--- doc/FAQ_MSWIN	2000/10/18 21:14:56	1.2
+++ doc/FAQ_MSWIN	2001/01/18 19:45:35
@@ -6,14 +6,14 @@
 
     The Cygwin package provides a UNIX-like API on top of the Win32
     API.  It is available at <http://sources.redhat.com/cygwin/>.
-    The 1.1.x series is recommended (1.1.4 was the latest at the time
+    The 1.1.x series is recommended (1.1.7 was the latest at the time
     of this writing); using 1.0 or B20 might require extra efforts.
     For B20 you also need to download the separate crypt library at the
     same location.
 
 2.  Install the cygipc package, available at
-    <http://cygutils.netpedia.net/V1.1/cygipc/>.  Do not use versions
-    prior to 1.04, they will not work.
+    <http://www.neuro.gatech.edu/users/cwilson/cygutils/V1.1/cygipc/>.
+    Do not use versions prior to 1.04, they will not work.
 
 3.  Optional:  The "Andy Piper Tools" at <http://www.xemacs.freeserve.co.uk/>
     are a collection of pre-compiled libraries and utilities that you
@@ -29,10 +29,13 @@
 
 6.  Proceed according to the INSTALL file.  (./configure; make; etc.)
 
-NOTE:  By default, PostgreSQL clients like psql communicate using Unix
-domain sockets, which do not work on Windows.  Start the postmaster
-with -i, and when connecting to the database from a client, set the
-PGHOST environment variable to `localhost' or supply the hostname on
-the command line.
+NOTE:  There are two issues with Cygwin's current UNIX domain socket
+support:
+
+1.  psql (and other clients) with hang if postmaster is not running and
+    the socket file (e.g., /tmp/.s.PGSQL.5432) exists
+
+2.  Cygwin's AF_UNIX sockets are really implemented as AF_INET sockets
+    so they are inherently insecure.
 
 Problem reports can be sent to <pgsql-ports@postgresql.org>.
Index: src/include/config.h.in
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/include/config.h.in,v
retrieving revision 1.155
diff -u -r1.155 config.h.in
--- src/include/config.h.in	2001/01/09 18:40:15	1.155
+++ src/include/config.h.in	2001/01/18 19:45:51
@@ -228,7 +228,7 @@
 /*
  * Define this if your operating system supports AF_UNIX family sockets.
  */
-#if !defined(__CYGWIN__) && !defined(__QNX__) && !defined(__BEOS__)
+#if !defined(__QNX__) && !defined(__BEOS__)
 # define HAVE_UNIX_SOCKETS 1
 #endif
 
Index: src/include/port/win.h
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/include/port/win.h,v
retrieving revision 1.9
diff -u -r1.9 win.h
--- src/include/port/win.h	2001/01/09 18:40:15	1.9
+++ src/include/port/win.h	2001/01/18 19:45:52
@@ -9,3 +9,10 @@
 #define HAVE_INT_TIMEZONE		/* has int _timezone */
 
 #include <cygwin/version.h>
+
+/*
+ * Check for b20.1 and disable AF_UNIX family socket support.
+ */
+#if CYGWIN_VERSION_DLL_MAJOR < 1001
+#undef HAVE_UNIX_SOCKETS
+#endif
Index: src/test/regress/pg_regress.sh
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/test/regress/pg_regress.sh,v
retrieving revision 1.17
diff -u -r1.17 pg_regress.sh
--- src/test/regress/pg_regress.sh	2001/01/13 03:25:48	1.17
+++ src/test/regress/pg_regress.sh	2001/01/18 19:46:00
@@ -156,11 +156,11 @@
 
 
 # ----------
-# When on Windows, QNX or BeOS, don't use Unix sockets.
+# When on QNX or BeOS, don't use Unix sockets.
 # ----------
 
 case $host_platform in
-    *-*-cygwin* | *-*-qnx* | *beos*)
+    *-*-qnx* | *beos*)
         unix_sockets=no;;
     *)
         unix_sockets=yes;;
